# Hunyuan Image V3

## hunyuan-image-v3-text-to-image

> Leverage the state-of-the-art capabilities of Hunyuan Image 3.0 to generate visual content that effectively conveys the messaging of your written material.

````json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"hunyuan-image-v3"}],"servers":[{"url":"https://image.onerouter.pro","description":"Image"}],"security":[],"paths":{"/v1/images/generations":{"post":{"summary":"hunyuan-image-v3-text-to-image","deprecated":false,"description":"Leverage the state-of-the-art capabilities of Hunyuan Image 3.0 to generate visual content that effectively conveys the messaging of your written material.","tags":["hunyuan-image-v3"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"prompt":{"type":"string","description":"prompt  is the prompt."},"size":{"type":"string","description":"The size of the generated image. Default value: `square_hd`\n\nPossible enum values: `square_hd`, `square`, `portrait_4_3`, `portrait_16_9`, `landscape_4_3`, `landscape_16_9`\n\nNote: For custom image sizes, you can pass the width and height as an object:\n\n```json\n\"image_size\": {\n  \"width\": 1280,\n  \"height\": 720\n}\n```","enum":["square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"],"default":"square_hd"},"negative_prompt":{"type":["string","null"],"description":"The negative prompt to guide the image generation away from certain concepts. Default value: `\"\"`"},"num_inference_steps":{"type":"integer","description":"The number of inference steps to perform. Default value: `28`","default":28},"guidance_scale":{"type":"number","description":"The CFG (Classifier Free Guidance) scale is a measure of how close you want the model to stick to your prompt when looking for a related image to show you. Default value: `7.5`","default":7.5},"enable_prompt_expansion":{"type":"boolean","description":"Whether to enable prompt expansion. This will use a large language model to expand the prompt with additional details while maintaining the original meaning."},"seed":{"type":"integer","description":"The same seed and the same prompt given to the same version of the model will output the same image every time."},"enable_safety_checker":{"type":"boolean","description":"If set to true, the safety checker will be enabled. Default value: `false`","default":false},"n":{"type":"integer","description":"n  is the number of images to generate, default value is `1`.","default":1},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","enum":["url"],"default":"url"}},"required":["model","prompt"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"b64_json":{"type":"string"},"revised_prompt":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
````
